Package org.apache.lucene.queryparser.flexible.core.nodes

# Enum Class ProximityQueryNode.Type

java.lang.Object
java.lang.Enum<ProximityQueryNode.Type>
org.apache.lucene.queryparser.flexible.core.nodes.ProximityQueryNode.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ProximityQueryNode.Type>`, `Constable`

Enclosing class:
  `ProximityQueryNode`

public static enum ProximityQueryNode.Type extends Enum<ProximityQueryNode.Type>
Distance condition: PARAGRAPH, SENTENCE, or NUMBER

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NUMBER`
`PARAGRAPH`
`SENTENCE`

## Method Summary

Modifier and Type
Method
Description
`static ProximityQueryNode.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProximityQueryNode.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PARAGRAPH

public static final ProximityQueryNode.Type PARAGRAPH

### SENTENCE

public static final ProximityQueryNode.Type SENTENCE

### NUMBER

public static final ProximityQueryNode.Type NUMBER

## Method Details

### values

public static ProximityQueryNode.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProximityQueryNode.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null